| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
device_logger.ino File Reference

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors. More...

## Detailed Description

Linear Technology DC1962C Demonstration Board LTC3880, LTC2974, LTC2977: Power Management Solution for Application Processors.

This sketch has only been tested on a Mega 2560. It is known to fail on Aarduino Uno and Linduino due to size of RAM.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC3880

http://www.linear.com/product/LTC2974

http://www.linear.com/product/LTC2977

http://www.linear.com/demo/DC1962C

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file device_logger.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | print_info (LT_PMBusDevice *device, int id)
static void | loop ()
| Repeats Linduino loop. More...

## Macros
#define | POLL_DELAY 200

## Variables
static bool | doprint = false
static LT_SMBusNoPec * | smbusNoPec = new LT_SMBusNoPec(100000)
static LT_SMBusPec * | smbusPec = new LT_SMBusPec(100000)
static LT_PMBus * | pmbusNoPec = new LT_PMBus(smbusNoPec)
static LT_PMBus * | pmbusPec = new LT_PMBus(smbusPec)
static LT_PMBusDetect * | detector = new LT_PMBusDetect(pmbusNoPec)
static LT_PMBusDevice ** | devices
static LT_PMBusDevice ** | device
static int | index = 0
static int | channel = 0

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 171 of file device_logger.ino.

## ◆ print_info()

static void print_info | ( | LT_PMBusDevice * | device,
|  | int | id
| ) |  |
| static

Definition at line 144 of file device_logger.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 96 of file device_logger.ino.

## Macro Definition Documentation

## ◆ POLL_DELAY

#define POLL_DELAY 200

Definition at line 82 of file device_logger.ino.

## Variable Documentation

## ◆ channel

int channel = 0
| static

Definition at line 92 of file device_logger.ino.

## ◆ detector

LT_PMBusDetect* detector = new LT_PMBusDetect(pmbusNoPec)
| static

Definition at line 88 of file device_logger.ino.

## ◆ device

LT_PMBusDevice** device
| static

Definition at line 90 of file device_logger.ino.

## ◆ devices

LT_PMBusDevice** devices
| static

Definition at line 89 of file device_logger.ino.

## ◆ doprint

bool doprint = false
| static

Definition at line 80 of file device_logger.ino.

## ◆ index

int index = 0
| static

Definition at line 91 of file device_logger.ino.

## ◆ pmbusNoPec

LT_PMBus* pmbusNoPec = new LT_PMBus(smbusNoPec)
| static

Definition at line 86 of file device_logger.ino.

## ◆ pmbusPec

LT_PMBus* pmbusPec = new LT_PMBus(smbusPec)
| static

Definition at line 87 of file device_logger.ino.

## ◆ smbusNoPec

LT_SMBusNoPec* smbusNoPec = new LT_SMBusNoPec(100000)
| static

Definition at line 84 of file device_logger.ino.

## ◆ smbusPec

LT_SMBusPec* smbusPec = new LT_SMBusPec(100000)
| static

Definition at line 85 of file device_logger.ino.